Subject: Re: [RFC] mm: Fix memory corruption caused by deferred page initialization

From: Mel Gorman <[email-masked]>
Date: Mon, 4 Apr 2016 09:39:39 +0100

On Thu, Mar 31, 2016 at 01:27:34PM +1100, Gavin Shan wrote:
> >So the issue is only existing when CONFIG_NO_BOOTMEM=n. The alternative fix would
> >be similar to what we have on !CONFIG_NO_BOOTMEM: In early stage, all page structs
> >for bootmem reserved pages are initialized and mark them with PG_reserved. I'm
> >not sure it's worthy to fix it as we won't support bootmem as Michael mentioned.
> >
> 
> Mel, could you please confirm if we need a fix on !CONFIG_NO_BOOTMEM? If we need,
> I'll respin and send a patch for review.
> 

Given that CONFIG_NO_BOOTMEM is not supported and bootmem is meant to be
slowly retiring, I would suggest instead making deferred memory init
depend on NO_BOOTMEM. 

-- 
Mel Gorman
SUSE Labs